%global forgeurl https://github.com/mosra/corrade
%global date 20230725
%global commit b2be50eb3d514520b15640d7514a3441adb4bcb8
%global shortcommit %(c=%{commit}; echo ${c:0:7})
%forgemeta

Name:           corrade
Version:        2020.6
Release:        %autorelease
Summary:        C++11 multiplatform utility library
License:        MIT
URL:            %{forgeurl}
Source0:        %{forgesource}

# https://fedoraproject.org/wiki/Changes/EncourageI686LeafRemoval
# https://koji.fedoraproject.org/koji/taskinfo?taskID=103924872
ExclusiveArch:  x86_64 aarch64

BuildRequires:  gcc-c++
BuildRequires:  cmake
BuildRequires:  ninja-build

%description
Corrade is a multiplatform utility library written in C++11/C++14. It's used as
a base for the Magnum graphics engine, among other things.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%prep
%forgeautosetup -p1

%build
%cmake -GNinja -DCMAKE_BUILD_TYPE=Release -DCORRADE_BUILD_TESTS=ON
%cmake_build

%install
%cmake_install

%check
# aarch64 build: https://kojipkgs.fedoraproject.org//work/tasks/8919/103878919/build.log
# x86_64 build: https://kojipkgs.fedoraproject.org//work/tasks/8918/103878918/build.log
SKIP_TESTS=
SKIP_TESTS+='UtilityPathTest|'
SKIP_TESTS+='UtilityDirectoryTest'
%ctest -E "$SKIP_TESTS"


%files
%license COPYING
%doc README.md
%{_libdir}/libCorrade*.so.2*

%files devel
%{_includedir}/Corrade/
%{_libdir}/libCorrade*.so
%dir %{_datadir}/cmake/Corrade
%{_datadir}/cmake/Corrade/*.cmake
%dir %{_datadir}/corrade/
%{_datadir}/corrade/debuggers/gdb/*.py
%{_bindir}/corrade-rc

%changelog
%autochangelog
